//app.js
var restAjax = require('utils/restAjax.js');
var dialog = require('utils/dialog.js');
App({
  loginUrl: 'http://192.168.0.113:7001/usercenter',
  usercenterUrl: 'http://192.168.0.113:7001/usercenter',
  newsUrl: 'http://192.168.0.113:8082/news',
  libraryUrl: 'http://192.168.0.113:8081/library',
  venueUrl: 'http://192.168.0.109:8082/venuebooking',
  activityUrl: 'http://192.168.0.111:8080/culturalactivity',
  volunteerUrl: 'http://192.168.0.111:8888/volunteer/',
  liveUrl: 'http://192.168.0.113:8084/live',
  restAjax: restAjax,
  dialog: dialog,
  onLaunch: function () {
    // 展示本地存储能力
    var logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs)

    // 登录
    wx.login({
      success: res => {
        // 发送 res.code 到后台换取 openId, sessionKey, unionId
      }
    })
    // 获取用户信息
    wx.getSetting({
      success: res => {
        if (res.authSetting['scope.userInfo']) {
          // 已经授权，可以直接调用 getUserInfo 获取头像昵称，不会弹框
          wx.getUserInfo({
            success: res => {
              // 可以将 res 发送给后台解码出 unionId
              this.globalData.userInfo = res.userInfo

              // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
              // 所以此处加入 callback 以防止这种情况
              if (this.userInfoReadyCallback) {
                this.userInfoReadyCallback(res)
              }
            }
          })
        }
      }
    })
  },
  globalData: {
    userInfo: null
  }
})